<!DOCTYPE html>
<html lang="en">
<head>
  <title>Geolocation Map</title>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <script src="./js/libs/jquery-1.9.0/jquery.min.js"></script>
  <script src="./js/libs/modernizr-2.6.2/modernizr.min.js"></script>
  <script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=true"></script>
  <script type="text/javascript">
    $(document).ready(function() {
      if (!Modernizr.geolocation) {
         alert("Your browser dosen't support Geolocation");
         return;
      }

      var map = null;
      var markerMap = null;

      navigator.geolocation.watchPosition(showCoordinates, showErrors, 
        { maximumAge: 1000, timeout: 300000, enableHighAccuracy: true });

      function showCoordinates(position) {
        var latitude = position.coords.latitude;
        var longitude = position.coords.longitude;
        var gmPosition = new google.maps.LatLng(latitude, longitude);

        if (map == null) {
          var options = { center: gmPosition, zoom: 15, mapTypeId: google.maps.mapTypeId.ROADMAP };
          map = new google.maps.Map(document.getElementById("result"), options);
          markerMap = new google.maps.Marker({position: gmPosition, title: "You are here!" });
          markerMap.setMap(map)
        } else {
          map.panTo(gmPosition);
          markerMap.setPosition(gmPosition);
        }
        
      }

      function showErrors(error) {
        switch(error.code) {
          case error.PERMISSION_DENIED:
            alert("Permition denied");
            break;
          case error.POSITION_UNAVAILABLE:
            alert("Postion unavailable");
            break;
          case error.TIMEOUT:
            alert("Time for waiting reached");
            break;
         default:
            alert("Geolocation Error unknown: ", error.code);
        }
      }
    });
  </script>
</head>
<body>
  <div id="result"></div>
</body>
</html>